.project {
    background: #3C3C3C;
}

.project__bloc {
    display: flex;
    flex-direction: column;
    padding-top: 52px;
    padding-bottom: 85px;

    .project__bloc__item {
        border-radius: 24px;
        background: #FFFEF2;
        padding: 16px;
        gap: 10px;
        position: relative;

        p {
            color: #000;
            font-family: Manrope;
            font-size: 15px;
            font-weight: 700;
            line-height: normal;
        }

        h5 {
            color: #565656;
            font-family: DynaPuff;
            font-size: 20px;
            font-weight: 800;
            line-height: normal;
            padding: 20px 0;
        }

        img {
            width: 100%;
            object-fit: cover;
            object-position: center;
            border-radius: 13px;
            position: relative;
        }
    }
}

.project__bloc__item--1 {
    height: 235px;
}

.project__bloc__item--3 {
    height: 294px;
}

.project__bloc__item--visibility__1 {
    margin-bottom: 63px;

    h4 {
        color: #565656;
        font-family: DynaPuff;
        font-size: 30px;
        font-weight: 600;
        line-height: normal;
        padding: 20px 0;
    }

    &:hover {
        box-shadow: 10px 5px 5px #202020;
        transition-duration: 0.2s;

        &::before {
            content: "";
            position: absolute;
            background-image: url(../images/fi-rr-arrow-up.svg);
            background-color: #fff;
            background-position: center;
            background-repeat: no-repeat;
            border-radius: 50px;
            z-index: 5;
            width: 50px;
            height: 50px;
            transform: rotate(359deg);
            left: 204px;
            top: 33px;
            transition-duration: 0.2s;
        }
    }
}

.project__bloc__item--visibility__2 {
    display: none;

    &:hover {
        box-shadow: 10px 5px 5px #202020;
        transition-duration: 0.2s;

        &::before {
            content: "";
            position: absolute;
            background-image: url(../images/fi-rr-arrow-up.svg);
            background-color: #fff;
            background-position: center;
            background-repeat: no-repeat;
            border-radius: 50px;
            z-index: 5;
            width: 50px;
            height: 50px;
            transform: rotate(359deg);
            left: 204px;
            top: 33px;
            transition-duration: 0.2s;
        }
    }
}

.project__bloc__item--visibility__3 {

    &:hover {
        box-shadow: 10px 5px 5px #202020;
        transition-duration: 0.2s;

        &::before {
            content: "";
            position: absolute;
            background-image: url(../images/fi-rr-arrow-up.svg);
            background-color: #fff;
            background-position: center;
            background-repeat: no-repeat;
            border-radius: 50px;
            z-index: 5;
            width: 50px;
            height: 50px;
            transform: rotate(359deg);
            left: 204px;
            top: 33px;
            transition-duration: 0.2s;
        }
    }
}

.project__bloc__item--visibility__4 {
    display: none;

    &:hover {
        box-shadow: 10px 5px 5px #202020;
        transition-duration: 0.2s;

        &::before {
            content: "";
            position: absolute;
            background-image: url(../images/fi-rr-arrow-up.svg);
            background-color: #fff;
            background-position: center;
            background-repeat: no-repeat;
            border-radius: 50px;
            z-index: 5;
            width: 50px;
            height: 50px;
            transform: rotate(359deg);
            left: 204px;
            top: 33px;
            transition-duration: 0.2s;
        }
    }
}


@media screen and (min-width: 768px) and (max-width: 1199px) {

    .project__bloc {
        display: flex;
        flex-wrap: wrap;
        padding-bottom: 122px;

        .project__bloc__item {
            padding: 20px;

            p {
                font-size: 16px;
            }

            h5 {
                font-size: 24px;
                font-weight: 800;
            }
        }
    }

    .project__bloc--small_cards {
        display: flex;
        justify-content: space-between;
    }

    .project__bloc__item--1 {
        height: 498px;
    }

    .project__bloc__item--2 {
        height: 448px;
    }

    .project__bloc__item--3 {
        height: 448px;
    }

    .project__bloc__item--visibility__1 {
        margin-bottom: 102px;

        h4 {
            font-size: 40px;
        }

        &:hover {
            &::before {
                left: 612px;
            }
        }
    }

    .project__bloc__item--visibility__2 {
        display: block;
        margin-right: 20px;

        &:hover {
            &::before {
                left: 243px;
            }
        }
    }

    .project__bloc__item--visibility__3 {
        margin-left: 20px;

        &:hover {
            &::before {
                left: 249px;
            }
        }
    }

    .project__bloc__item--visibility__4 {
        display: none;
    }
}


@media screen and (min-width: 1200px) {

    .project__bloc {
        display: flex;
        justify-content: center;
        flex-wrap: wrap;
        padding-top: 86px;
        padding-bottom: 72px;

        .project__bloc__item {
            padding: 20px;

            p {
                font-size: 16px;
            }

            h5 {
                font-size: 24px;
                font-weight: 800;
            }
        }
    }

    .project__bloc--small_cards {
        display: flex;
        justify-content: space-between;
    }

    .project__bloc__item--1 {
        height: 498px;
    }

    .project__bloc__item--2 {
        height: 338px;
    }

    .project__bloc__item--3 {
        height: 338px;

    }

    .project__bloc__item--4 {
        height: 338px;
    }

    .project__bloc__item--visibility__1 {

        h4 {
            font-size: 40px;
        }

        &:hover {
            &::before {
                top: 44px;
                left: 967px;
            }
        }
    }

    .project__bloc__item--visibility__2 {
        display: block;
        margin-right: 15px;

        &:hover {
            &::before {
                top: 44px;
                left: 243px;
            }
        }
    }

    .project__bloc__item--visibility__3 {
        margin-left: 15px;
        margin-right: 15px;

        &:hover {
            &::before {
                top: 44px;
                left: 234px;
            }
        }
    }

    .project__bloc__item--visibility__4 {
        display: block;
        margin-left: 15px;

        &:hover {
            &::before {
                top: 44px;
                left: 242px;
            }
        }
    }

}